function BidirectionalCoefficient = BidirectionalCoefficientbyDefinition(AdjMat)

numerator = 0;
denominator = 0;

for id_row = 1:size(AdjMat,2)
    for id_col = 1:size(AdjMat,1)
        if id_row ~= id_col
            numerator = numerator + (abs(AdjMat(id_row,id_col))*abs(AdjMat(id_col,id_row)));
            denominator = denominator + (abs(AdjMat(id_row,id_col)));
        end
    end
end

BidirectionalCoefficient = numerator/denominator;

end